Bug 333111 - yum-cron updates yum even with CHECK_ONLY=yes
yum-cron updates yum even with CHECK_ONLY=yes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-cron (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Habig, Alec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 17:08 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.6-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 03:14:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-10-15 17:08:36 EDT
Even if yum-cron is told to do checks only, it will update yum if a new version
is available, because the line

  /usr/bin/yum -R 120 -e 0 -d 0 -y update yum

...in the daily cron script is not guarded by CHECK_ONLY tests.

Also, the weekly cron script will do "yum clean packages" - I'm not sure if
that's desirable if CHECK_ONLY is set to yes.
Comment 1 Habig, Alec 2007-10-15 17:32:35 EDT
I'd actually had the "update yum no matter what" line intentionally out of the
if/fi block, on the grounds that fixing broken stuff with the updater should be
the zeroth job an updater does.  However, I agree that now that there is a way
to ask the thing to do a specific job, it should do as it's told.  Will fix it.

Regarding yum clean packages.  Yum does need to pick up after itself in the
/var/spool area, without the weekly cron script this never happens and it can
become quite bloated.  However, one wouldn't want it blowing up freshly
downloaded packages if one had specified a check+download only usage.

Currently the cleanup will happen before the check+download, but yesterday's
check+download will still get wiped then re-downloaded, so the later in the week
the downloads happen the less time they'll reside on disk.

Any suggestions on how to best accomplish housekeeping without interfering with
downloading + human interaction?  
Comment 2 Ville Skyttä 2007-10-16 17:17:46 EDT
I'd assume people who don't want to keep downloaded/installed packages around in
the cache just set keepcache=0 in their yum.conf.  I haven't checked how that
setting works together with --downloadonly though.
Comment 3 Fedora Update System 2007-10-17 22:30:02 EDT
yum-cron-0.6-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-cron'
Comment 4 Fedora Update System 2007-10-24 03:14:22 EDT
yum-cron-0.6-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.